Mandrake Linux Security Advisory : tcpdump (MDKSA-2007:148)

Medium Nessus Plugin ID 25794


The remote Mandrake Linux host is missing a security update.


An integer overflow in tcpdump could allow a remote attacker to execute arbitrary code via crafted TLVs in a BGP packet.

Updated packages have been patched to prevent this issue.


Update the affected tcpdump package.

Plugin Details

Severity: Medium

ID: 25794

File Name: mandrake_MDKSA-2007-148.nasl

Version: $Revision: 1.14 $

Type: local

Published: 2007/07/27

Modified: 2015/03/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:tcpdump, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2007/07/25

Reference Information

CVE: CVE-2007-3798

BID: 24965

MDKSA: 2007:148

CWE: 189